CharterOpsCharterOps

API reference

Estimates

Estimate a route's distance, flight time and price range. An estimate is not an operator quote.

Estimate a route

POST/v1/estimates

Scope
read
Quota
Counts toward your allowance

Request body

  • legsarray of objectsRequired

    1 to 10 items.

    3 fields in legs
    • fromstringRequired

      1 to 12 characters.

    • tostringRequired

      1 to 12 characters.

    • datedate

  • paxintegerRequired

    From 1 to 50.

  • categorystring

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • one_wayboolean

    Defaults to true.

  • registrationstring

    1 to 12 characters.

Response

200 OK

Returns the estimate list object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/estimates" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --json @body.json

Objects

Estimate list

  • basisstring

  • itemsarray of objects

    9 fields in items
    • basisstring

    • block_minutesinteger

    • categorystring

      One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

    • currencystring

    • distance_nminteger

    • fees_centsinteger

    • high_centsinteger

    • legsarray of objects

      4 fields in legs
      • block_minutesinteger

      • distance_nminteger

      • fromobject

        10 fields in from
        • citystringCan be null

        • codestring

        • countrystring

        • iatastringCan be null

        • icaostringCan be null

        • idUUID

        • latitudenumber

        • longitudenumber

        • namestring

        • timezonestringCan be null

      • toobject

        10 fields in to
        • citystringCan be null

        • codestring

        • countrystring

        • iatastringCan be null

        • icaostringCan be null

        • idUUID

        • latitudenumber

        • longitudenumber

        • namestring

        • timezonestringCan be null

    • low_centsinteger

  • tailobjectCan be null

    6 fields in tail
    • amount_centsinteger

    • basisstring

    • block_minutesinteger

    • hourly_rate_centsinteger

    • organizationstring

    • registrationstring